Bug 67539 - /proc/ide/piix does not display correct DMA mode
/proc/ide/piix does not display correct DMA mode
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-06-26 19:32 EDT by Roderick Constance
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
steps to reproduce (4.09 KB, text/plain)
2002-06-26 19:35 EDT, Roderick Constance
no flags Details
steps to reproduce: reversion to udma5 performance hit (9.39 KB, text/plain)
2002-07-23 19:20 EDT, Roderick Constance
no flags Details

  None (edit)
Description Roderick Constance 2002-06-26 19:32:56 EDT
Description of Problem:

On a Tyan S2720-based system (Intel E7500 chipset), /proc/ide/piix does not show
the correct DMA mode.  'hdparm -iv /dev/hda' and /proc/ide/hda/settings will
show UDMA5 while /proc/ide/piix will show UDMA3.  Once I force the DMA mode
using 'hdparm -X69 /dev/hda', then will piix show UDMA5.  I benchmarked the
system with and without forcing using hdparm, and both results show UDMA5

Version-Release number of selected component (if applicable):
RedHat 7.3 Errata (2.4.18-5smp)

How Reproducible:

Steps to Reproduce:
1. see attachment
2 [details]. 

Actual Results:
see attachment

Expected Results:
expect to see /proc/ide/piix to display UDMA5 without forcing using hdparm.

Additional Information:
Comment 1 Roderick Constance 2002-06-26 19:35:44 EDT
Created attachment 62784 [details]
steps to reproduce
Comment 2 Roderick Constance 2002-07-23 19:17:33 EDT
I've also been experiencing a performance hit when reverting back to udma5 mode.
 Starting in udma5 mode will produce expected performance.  Changing to a slower
udma setting will produce expectedly slower performance.  But when changing back
to udma5, the performance is as slow as the sub-udma5 tests.
Comment 3 Roderick Constance 2002-07-23 19:20:32 EDT
Created attachment 66684 [details]
steps to reproduce: reversion to udma5 performance hit
Comment 4 Bugzilla owner 2004-09-30 11:39:42 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.